@echo off

echo ----------------------------------

echo mihomo测试版核心强制关闭-管理员权限

echo ----------------------------------
echo.

bin\gsudo cache on

cls

echo 正在结束进程. . .

bin\gsudo schtasks.exe /End /tn "StartMihomoService"

bin\gsudo taskkill /f /im mihomo-windows-amd64.exe

bin\gsudo reg add "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings" /v ProxyEnable /t REG_DWORD /d 00000000 /f

bin\gsudo reg add "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings" /v ProxyServer /t REG_DWORD /d 00000000 /f

bin\gsudo reg add "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings" /v ProxyOverride /t REG_DWORD /d 00000000 /f

bin\gsudo reg add "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings" /v AutoConfigURL /t REG_SZ /d "" /f

cls

echo ----------------------------------

echo mihomo测试版核心强制关闭-管理员权限

echo ----------------------------------